Bug Hunting Session
Bug 42527 - PDF: Writer slow to print or export a document with linked images (if not updated or broken)
Summary: PDF: Writer slow to print or export a document with linked images (if not upd...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:pdf, haveBacktrace, perf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2011-11-02 11:40 UTC by Jérôme Guelfucci
Modified: 2019-09-11 04:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
the fatal document (57.85 KB, application/vnd.oasis.opendocument.text)
2011-11-02 11:40 UTC, Jérôme Guelfucci
Details
Backtrace of the problem (49.59 KB, text/plain)
2011-11-02 11:42 UTC, Jérôme Guelfucci
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jérôme Guelfucci 2011-11-02 11:40:06 UTC
Created attachment 53072 [details]
the fatal document

Problem description:
Libreoffice freezes when trying to print or export as PDF a particular document. This document was created by copy/paste from a private part of a Web site.

Steps to reproduce:
1. Open the attached document
2. Click on the "Export as PDF" button and on Save to launch the export or print the document

Current behavior:
libreoffice freezes

Expected behavior:
Export as PDF or print

Additional information:
Discussed this on IRC with mst_ who helped me produce a gdb backtrace which I will attach and who added:
"<mst_> jeromeg: it looks like Writer wants to load a graphic from a http URL and that blocks"
"jeromeg: hmm.. "The document has moved", perhaps it is some kind of redirect loop and our http resolver is too stupid to handle it or something" 

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Linux x86_64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1 Iceweasel/7.0.1
Comment 1 Jérôme Guelfucci 2011-11-02 11:42:19 UTC
Created attachment 53073 [details]
Backtrace of the problem

Produced by attaching to libreoffice once freezed and running thread apply all bt.
Comment 2 tester8 2012-01-04 12:16:32 UTC
Reproduced with

LOdev 3.5.0beta2 
4ca392c-760cc4d-f39cf3d-1b2857e-60db978
Ubuntu 10.04.3 x86
Linux 2.6.32-37-generic Russian UI
Comment 3 A (Andy) 2013-05-03 21:34:34 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Result: Libreoffice crashes
Comment 4 Timur 2014-12-09 13:52:38 UTC
Problem cannot be reproduced as explained with LO 4.3 and 4.4 beta on Win7 64.
Export to PDF is very slow due to the images in file, but it finishes properly.
If image links are updated or broken in Edit-Links, export is fast.
Comment 5 Robinson Tryon (qubit) 2015-12-10 02:02:46 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2018-01-10 03:32:06 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2018-09-10 20:59:48 UTC
in Версия: 6.1.1.1 (x64)
ID сборки: 2718b4a18dfcc6a54ebe5f7b801ee7a47fa81e0c
Потоков ЦП: 4; ОС:Windows 10.0; Отрисовка ИП: GL; 
Локаль: ru-RU (ru_RU); Calc: CL

when export to PDF LibreOffice doesn't freeze, export is about 12 sec and it created good PDF without any images. 
And in document doesn't show any images and scrolling of document has many micro freezes.
Comment 8 QA Administrators 2019-09-11 04:38:48 UTC
Dear Jérôme Guelfucci,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug